pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctor Struct Reference

`#include <pcl/registration/transformation_estimation_point_to_plane_weighted.h>`

Inheritance diagram for pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctor:

## Public Member Functions

| OptimizationFunctor (int m_data_points, const TransformationEstimationPointToPlaneWeighted *estimator)
| Functor constructor. More...
| OptimizationFunctor (const OptimizationFunctor &src)
| Copy constructor. More...
OptimizationFunctor & | operator= (const OptimizationFunctor &src)
| Copy operator. More...
virtual | ~OptimizationFunctor ()
| Destructor. More...
int | operator() (const VectorX &x, VectorX &fvec) const
| Fill fvec from x. More...
Public Member Functions inherited from pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< MatScalar >
| Functor ()
| Empty Construtor. More...
| Functor (int m_data_points)
| Constructor. More...
virtual | ~Functor ()
| Destructor. More...
int | values () const
| Get the number of values. More...

## Public Attributes

const TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar > * | estimator_

## Additional Inherited Members

Public Types inherited from pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< MatScalar >
enum |
typedef MatScalar | Scalar
typedef Eigen::Matrix< MatScalar, InputsAtCompileTime, 1 > | InputType
typedef Eigen::Matrix< MatScalar, ValuesAtCompileTime, 1 > | ValueType
typedef Eigen::Matrix< MatScalar, ValuesAtCompileTime, InputsAtCompileTime > | JacobianType
Protected Attributes inherited from pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< MatScalar >
int | m_data_points_

## Detailed Description

### template<typename PointSource, typename PointTarget, typename MatScalar = float>
struct pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctor

Definition at line 241 of file transformation_estimation_point_to_plane_weighted.h.

## Constructor & Destructor Documentation

template<typename PointSource, typename PointTarget, typename MatScalar = float>

pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctor::OptimizationFunctor | ( | int | m_data_points,
|  | const TransformationEstimationPointToPlaneWeighted * | estimator
| ) |  |

inline

Functor constructor.

Parameters

  [in] | m_data_points | the number of data points to evaluate
  [in,out] | estimator | pointer to the estimator object

Definition at line 249 of file transformation_estimation_point_to_plane_weighted.h.

template<typename PointSource, typename PointTarget, typename MatScalar = float>

pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctor::OptimizationFunctor | ( | const OptimizationFunctor & | src | ) |

inline

Copy constructor.

Parameters

  [in] | src | the optimization functor to copy into this

Definition at line 257 of file transformation_estimation_point_to_plane_weighted.h.

template<typename PointSource, typename PointTarget, typename MatScalar = float>

virtual pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctor::~OptimizationFunctor | ( |  | ) |

inline virtual

Destructor.

Definition at line 275 of file transformation_estimation_point_to_plane_weighted.h.

## Member Function Documentation

template<typename PointSource , typename PointTarget , typename MatScalar >

int pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctor::operator() | ( | const VectorX & | x,
|  | VectorX & | fvec
| ) |  | const

Fill fvec from x.

For the current state vector x fill the f values

Parameters

  [in] | x | state vector
  [out] | fvec | f values vector

Definition at line 249 of file transformation_estimation_point_to_plane_weighted.hpp.

References pcl::PointCloud< PointT >::points.

template<typename PointSource, typename PointTarget, typename MatScalar = float>

OptimizationFunctor& pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctor::operator= | ( | const OptimizationFunctor & | src | ) |

inline

Copy operator.

Parameters

  [in] | src | the optimization functor to copy into this

Definition at line 267 of file transformation_estimation_point_to_plane_weighted.h.

References pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctor::estimator_.

## Member Data Documentation

template<typename PointSource, typename PointTarget, typename MatScalar = float>

const TransformationEstimationPointToPlaneWeighted<PointSource, PointTarget, MatScalar>* pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctor::estimator_

Definition at line 284 of file transformation_estimation_point_to_plane_weighted.h.

Referenced by pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctor::operator=().

The documentation for this struct was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/registration/include/pcl/registration/transformation_estimation_point_to_plane_weighted.h
- /build/pcl-0nnAvv/pcl-1.7.2/registration/include/pcl/registration/impl/transformation_estimation_point_to_plane_weighted.hpp